<?php

namespace FiloBlu\Cegid\Model;

use FiloBlu\Cegid\Api\Data\SellerInterface;

/**
 * Class Seller
 * @package FiloBlu\Cegid\Model
 */
class Seller implements SellerInterface
{
    /**
     * @var string
     */
    protected $cegidId;
    /**
     * @var string
     */
    protected $nickName;
    /**
     * @var @string
     */
    protected $storeCode;

    /**
     * @return string
     */
    public function getCegidId()
    {
        return $this->cegidId;
    }

    /**
     * @param string $cegidId
     * @return $this
     */
    public function setCegidId($cegidId)
    {
        $this->cegidId = $cegidId;
        return $this;
    }

    /**
     * @return  string
     */
    public function getNickName()
    {
        return $this->nickName;
    }

    /**
     * @param string $nickName
     * @return $this
     */
    public function setNickName($nickName)
    {
        $this->nickName = $nickName;
        return $this;
    }

    /**
     * @return string
     */
    public function getStoreCode()
    {
        return $this->storeCode;
    }

    /**
     * @param string $storeCode
     *
     * @return $this
     */
    public function setStoreCode($storeCode)
    {
        $this->storeCode = $storeCode;
        return $this;
    }
}